---
name: "mouse grid"
description: >-
  The mouse grid mode is an exclusive mode.
  It is made active by the "mouse grid" command in the "basic" mode.
  It is used to move and click the mouse.
  When initiated, a numbered grid appears on the screen.
  You say one of the numbers, and the grid zooms in to the selected cell.
  The mouse position is placed at the middle of the grid.
  Continue this process until the mouse is where you want it.
  Then use the commands in this mode to click or cancel.
initiallyActive: false
exclusive: true
commands:
  - name: "cancel"
    description: >-
      Closes the grid and does not click the mouse.
    alternates:
      - "kendall"
    functions:
      - name: "closeMouseGuide"
      - name: "toggleMode"
        fixedArguments:
          - "off"
          - "mouse grid"
  - name: "left"
    description: >-
      Closes the grid and left clicks the mouse.
    functions:
      - name: "closeMouseGuide"
        fixedArguments:
          - "left"
      - name: "toggleMode"
        fixedArguments:
          - "off"
          - "mouse grid"
  - name: "double"
    description: >-
      Closes the grid and left double clicks the mouse.
    alternates:
      - "w"
    functions:
      - name: "closeMouseGuide"
        fixedArguments:
          - "double"
      - name: "toggleMode"
        fixedArguments:
          - "off"
          - "mouse grid"
  - name: "middle"
    description: >-
      Closes the grid and middle clicks the mouse.
    functions:
      - name: "closeMouseGuide"
        fixedArguments:
          - "middle"
      - name: "toggleMode"
        fixedArguments:
          - "off"
          - "mouse grid"
  - name: "right"
    description: >-
      Closes the grid and right clicks the mouse.
    functions:
      - name: "closeMouseGuide"
        fixedArguments:
          - "right"
      - name: "toggleMode"
        fixedArguments:
          - "off"
          - "mouse grid"
  - name: "start drag"
    description: >-
      Marks the beginning of a mouse drag.
    functions:
      - name: "closeMouseGuide"
        fixedArguments:
          - "start"
      - name: "toggleMode"
        fixedArguments:
          - "off"
          - "mouse grid"
  - name: "finish drag"
    description: >-
      Performs a mouse drag from the previously marked starting position
      to the current position.
    alternates:
      - "finnish drag"
      - "finished drag"
      - "finnish drug"
      - "finish drug"
      - "finished drug"
    functions:
      - name: "closeMouseGuide"
        fixedArguments:
          - "finish"
      - name: "toggleMode"
        fixedArguments:
          - "off"
          - "mouse grid"
  - name: "_default"
    description: >-
      If no other command is matched, this default command is used.
      This command assumes you are saying a number to choose a grid cell.
      If you say a number larger than 9,
      the individual digits are supplied as arguments one at a time.
      For example, if you say one hundred twenty three,
      it will be treated as selecting cell 1, then cell 2, then cell 3.
      If an utterance word does not match a command or a number,
      it is ignored.
    functions:
      - name: "updateMouseGuide"
        utteranceArguments: 1
